rem
rem Delete object of a user
rem

set term off
set echo off
spool drop&3..log

select 'drop &2 ' || 
rtrim(object_name) || 
decode(upper(object_type),'TABLE',' cascade constraints','') ||
';'
from sys.dba_objects 
where upper(owner) = upper('&1') 
and   upper(object_type) = upper('&2');

spool off
set echo on
set term on

@drop&3..log